BOS_HELP(8)

NAME
bos_help - Displays help for bos commands

SYNOPSIS
bos help [-topic <help string>+] [-help]

bos h [-t <help string>+] [-h]

DESCRIPTION
The bos help command displays the complete online help entry (short description and syntax statement) for each command operation code specified by the -topic argument. If the -topic argument is omitted, the output includes the first line (name and short description) of the online help entry for every bos command.

To list every bos command whose name or short description includes a specified keyword, use the bos apropos command.

OPTIONS

-topic <help string>+
    Indicates each command for which to display the complete online help entry. Omit the bos part of the command name, providing only the operation code (for example, specify status, not bos status). If this argument is omitted, the output briefly describes every bos command.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The online help entry for each bos command consists of the following two or three lines:

•   The first line names the command and briefly describes its function.

•   The second line lists aliases for the command, if any.

•   The final line, which begins with the string "Usage", lists the command's options in the prescribed order. Online help entries use the same symbols (for example, brackets) as the reference pages in this document.

EXAMPLES
The following command displays the online help entry for the bos status command:

   % bos help status
   bos status: show server instance status
   Usage: bos status -server <machine name> [-instance <server
   process name>+] [-long] [-cell <cell name>] [-noauth]
   [-localauth] [-help]

PRIVILEGE REQUIRED
None

SEE ALSO
bos(8), bos_apropos(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.